<?php
/**
 * About Section options.
 *
 * @package express-movers
 */

$express_movers_default = express_movers_get_default_theme_options();


$wp_customize->add_section(
    'expressmovers_featured_services_info_section',
    array(
        'title' => __('Service Info', 'express-movers'),
        'priority' => 2,
        'panel' => 'express_movers_section_panel',
    )
);

$express_movers_defaults = array(
    'expressmovers_enable_featured_services_section' => true,
);
$wp_customize->add_setting(
    'theme_options[expressmovers_enable_featured_services_section]',
    array(
        'default' => $express_movers_defaults['expressmovers_enable_featured_services_section'],
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'express_movers_sanitize_switch'
    )
);


// /// effects
$wp_customize->add_setting('express_movers_featured_services_onload_effects', array(
    'default' => 'zoom-in',
    'sanitize_callback' => 'express_movers_sanitize_choices',
));
$wp_customize->add_control('express_movers_featured_services_onload_effects', array(
    'type' => 'select',
    'label' => __('Box Onload Transition Effects', 'express-movers'),
    'choices' => array(
        'wow bounceInLeft' => __('Bounce In Left', 'express-movers'),
        'wow bounceInRight' => __('Bounce In Right', 'express-movers'),
        'wow bounceInUp' => __('Bounce In Up', 'express-movers'),
        'wow bounceInDown' => __('Bounce In Down', 'express-movers'),
        'wow zoomIn' => __('Zoom In', 'express-movers'),
        'wow zoomOut' => __('Zoom Out', 'express-movers'),
        'wow fadeInDown' => __('Fade In Down', 'express-movers'),
        'wow fadeInUp' => __('Fade In Up', 'express-movers'),
        'wow fadeInLeft' => __('Fade In Left', 'express-movers'),
        'wow fadeInRight' => __('Fade In Right', 'express-movers'),
        'flip-up' => __('Flip Up', 'express-movers')
    ),
    'section' => 'expressmovers_featured_services_info_section',
));

// Section Title
$wp_customize->add_setting(
    'theme_options[featured_services_section_badge]',
    array(
        'default' => $express_movers_default['featured_services_section_badge'],
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'theme_options[featured_services_section_badge]',
    array(
        'label' => __('Badge Text', 'express-movers'),
        'section' => 'expressmovers_featured_services_info_section',
        'settings' => 'theme_options[featured_services_section_badge]',
        'type' => 'text'
    )
);

// Section Title
$wp_customize->add_setting(
    'theme_options[featured_services_section_maintaitle]',
    array(
        'default' => $express_movers_default['featured_services_section_maintaitle'],
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'theme_options[featured_services_section_maintaitle]',
    array(
        'label' => __('Heading', 'express-movers'),
        'section' => 'expressmovers_featured_services_info_section',
        'settings' => 'theme_options[featured_services_section_maintaitle]',
        'type' => 'text'
    )
);

// Section Sub-Title
$wp_customize->add_setting(
    'theme_options[featured_services_section_subtitle]',
    array(
        'default' => $express_movers_default['featured_services_section_subtitle'],
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'theme_options[featured_services_section_subtitle]',
    array(
        'label' => __('Sub Heading', 'express-movers'),
        'section' => 'expressmovers_featured_services_info_section',
        'settings' => 'theme_options[featured_services_section_subtitle]',
        'type' => 'text'
    )
);
// Section Sub-Title
$wp_customize->add_setting(
    'theme_options[featured_services_section_subtitle]',
    array(
        'default' => $express_movers_default['featured_services_section_subtitle'],
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'theme_options[featured_services_section_subtitle]',
    array(
        'label' => __('Sub Heading', 'express-movers'),
        'section' => 'expressmovers_featured_services_info_section',
        'settings' => 'theme_options[featured_services_section_subtitle]',
        'type' => 'text'
    )
);


$wp_customize->add_setting('featured_services_page_1', array(
    'sanitize_callback' => 'absint',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'featured_services_page_1', array(
    'label' => __('Select Page 1', 'express-movers'),
    'section' => 'expressmovers_featured_services_info_section',
    'type' => 'dropdown-pages',
)));

$wp_customize->add_setting('featured_services_page_2', array(
    'sanitize_callback' => 'absint',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'featured_services_page_2', array(
    'label' => __('Select Page 2', 'express-movers'),
    'section' => 'expressmovers_featured_services_info_section',
    'type' => 'dropdown-pages',
)));

$wp_customize->add_setting('featured_services_page_3', array(
    'sanitize_callback' => 'absint',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'featured_services_page_3', array(
    'label' => __('Select Page 3', 'express-movers'),
    'section' => 'expressmovers_featured_services_info_section',
    'type' => 'dropdown-pages',
)));

$wp_customize->add_setting('featured_services_page_4', array(
    'sanitize_callback' => 'absint',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'featured_services_page_4', array(
    'label' => __('Select Page 4', 'express-movers'),
    'section' => 'expressmovers_featured_services_info_section',
    'type' => 'dropdown-pages',
)));
$wp_customize->add_setting('featured_services_page_5', array(
    'sanitize_callback' => 'absint',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'featured_services_page_5', array(
    'label' => __('Select Page 5', 'express-movers'),
    'section' => 'expressmovers_featured_services_info_section',
    'type' => 'dropdown-pages',
)));
$wp_customize->add_setting('featured_services_page_6', array(
    'sanitize_callback' => 'absint',
));
$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'featured_services_page_6', array(
    'label' => __('Select Page 6', 'express-movers'),
    'section' => 'expressmovers_featured_services_info_section',
    'type' => 'dropdown-pages',
)));

